.slick-list,
.slick-slider,
.slick-track {
  position: relative;
  display: block;
}
.slick-slider {
  box-sizing: border-box;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-touch-callout: none;
  -khtml-user-select: none;
  -ms-touch-action: pan-y;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}
.slick-list {
  overflow: hidden;
  margin: 0;
  padding: 0;
}
.slick-list:focus {
  outline: 0;
}
.slick-list.dragging {
  cursor: pointer;
  cursor: hand;
}
.slick-slider .slick-list,
.slick-slider .slick-track {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  -o-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.slick-track {
  top: 0;
  left: 0;
  margin-left: auto;
  margin-right: auto;
}
.slick-track:after,
.slick-track:before {
  display: table;
  content: "";
}
.slick-track:after {
  clear: both;
}
.slick-loading .slick-slide,
.slick-loading .slick-track {
  visibility: hidden;
}
.slick-slide {
  display: none;
  float: left;
  height: 100%;
  min-height: 1px;
}
[dir="rtl"] .slick-slide {
  float: right;
}
.slick-initialized .slick-slide,
.slick-slide img {
  display: block;
}
.slick-arrow.slick-hidden,
.slick-slide.slick-loading img {
  display: none;
}
.slick-slide.dragging img {
  pointer-events: none;
}
.slick-vertical .slick-slide {
  display: block;
  height: auto;
  border: 1px solid transparent;
}

.slick-dots {
  height: 20px;
  text-align: center;
  margin-top: 25px;
}

.slick-dots:after {
  clear: both;
  content: "";
  display: block;
  height: 0;
  width: 0;
  visibility: hidden;
}

.slick-dots li {
  display: inline-block;
  vertical-align: top;
  padding: 0 6px;
  overflow: hidden;
}

.slick-dots li button {
  display: block;
  width: 20px;
  height: 20px;
  text-indent: -9999px;
  background: none;
  border: 2px solid #000000;
  cursor: pointer;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
}

.slick-dots li.slick-active button {
  background: #000000;
}

/* upsells */
section.upsales {
  position: relative;
  width: 100%;
}
section.upsales h2 {
  text-align: center;
  margin-bottom: 15px;
  font-size: 28px;
}
.upsales-wrapper {
  position: relative;
}

.upsale-product {
  margin: 0 10px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  text-align: center;
  height: 100%;
  justify-content: space-between;
}
.product-name {
  font-weight: bold;
}
.product-image {
  height: 280px;
  overflow: hidden;
  display: flex;
  align-items: center;
  border-radius: 12px;
}
.upsales-arrows {
  position: absolute;
  width: 100%;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.upsales-arrow {
  width: 30px;
  height: 30px;
  background-color: #99b9f1;
  border-radius: 3px;
  cursor: pointer;
}

.arrow-prev img {
  transform: rotate(180deg);
}

.upsale-add {
  /*opacity: 0;*/
  width: 60px;
  height: 30px;
  /*border: 1px solid #FF0000FF;*/
  margin: 0 auto;
  display: block;
  position: relative;
  cursor: pointer;
}

.upsale-add input {
  position: absolute;
  z-index: -1;
  opacity: 0;
  display: block;
  width: 0;
  height: 0;
}

.upsale-add span {
  display: block;
  position: relative;
}

.upsale-add span:before {
  content: "";
  display: inline-block;
  position: relative;
  width: 56px;
  height: 26px;
  border: 2px solid #ff0000ff;
  border-radius: 15px;
  transition: all 0.4s ease;
}

.upsale-add span:after {
  content: "";
  display: inline-block;
  position: absolute;
  left: 0;
  top: 0;
  width: 26px;
  height: 26px;
  border: 2px solid #ff0000ff;
  background-color: #ff0000ff;
  border-radius: 50%;
  transition: all 0.4s ease;
}

.upsale-add input:checked + span:before {
  border-color: #41916a;
}

.upsale-add input:checked + span:after {
  border-color: #41916a;
  background-color: #41916a;
  transform: translateX(100%);
}

.upsale-old-price {
  text-decoration: line-through;
}

.upsale-new-price {
  color: #41916a;
}

.call-button {
  position: fixed;
  bottom: 60px;
  right: 40px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-color: #41916a;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
  animation: 1s infinite alternate move;
}
.call-button:after {
  content: "";
  width: 120%;
  height: 120%;
  background-color: #41916a;
  opacity: 0.4;
  position: absolute;
  border-radius: 50%;
  animation: 1s infinite alternate pulse;
}
.call-button svg {
  width: 50px;
  height: 50px;
}

@keyframes move {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(30deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

/* upsells */
